Robot Chat S S E
Send a message to a Robot and receive its response. This endpoint manages sessions automatically, creating new sessions as needed or continuing existing sessions based on the provided session ID. Each message sent to the Robot is processed according to its playbook and available tools, allowing it to perform actions or retrieve data as part of the conversation. The response from the Robot includes its reply message along with any actions taken during the interaction. This endpoint is a Server Sent Events (SSE) stream, meaning that the response is streamed back to the client in real-time as the Robot generates its reply.
/robots/chat/sseSend a message to a Robot and receive its response. This endpoint manages sessions automatically, creating new sessions as needed or continuing existing sessions based on the provided session ID.
Each message sent to the Robot is processed according to its playbook and available tools, allowing it to perform actions or retrieve data as part of the conversation. The response from the Robot includes its reply message along with any actions taken during the interaction.
This endpoint is a Server Sent Events (SSE) stream, meaning that the response is streamed back to the client in real-time as the Robot generates its reply.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
text/event-stream
application/json
curl -X POST "https://example.com/robots/chat/sse" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "messages": [ { "id": "string", "role": "system", "parts": [ { "type": "text", "text": "string" } ] } ] }'{
"type": "start",
"messageId": "string"
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Event Update PATCH
Update an event. If the content field is updated, this is stored on the thread associated with the event, rather than the event itself. It's possible to update that thread directly using `threads` operations.
Create a robot POST
Create a new Robot with the specified configuration. A Robot in Storyden consists of a name and description (for humans) as well as a playbook, and a set of available tools to interact with Storyden or plugins. The playbook is a detailed set of instructions that guides behaviour of the Robot to help it assist members in achieving a specific automation goal. Tools are available from either Storyden or plugins that allow it to perform actions or query data. Robots never need all tools and it's best to build goal-specific Robots with minimal sets of tools.